[PATCH] test-lib.sh: show git init output when in verbose mode
- Date: Thu, 26 Jun 2008 20:35:19 +0200
- From: Lea Wiemann <lewiemann@xxxxxxxxx>
- Subject: [PATCH] test-lib.sh: show git init output when in verbose mode
Signed-off-by: Lea Wiemann <LeWiemann@xxxxxxxxx>
---
I've had a hard-to-spot problem where git would crash due to a missing
library, and this solved it. :) IMHO there's no reason not to show the
git init output when --verbose is given.
(FD 3 and 4 are the streams where verbose output is redirected; in
non-verbose mode they're redirected to /dev/null.)
t/test-lib.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/t/test-lib.sh b/t/test-lib.sh
index a9fc621..8e2849b 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -408,7 +408,7 @@ test_create_repo () {
repo="$1"
mkdir "$repo"
cd "$repo" || error "Cannot setup test environment"
- "$GIT_EXEC_PATH/git" init "--template=$GIT_EXEC_PATH/templates/blt/" >/dev/null 2>&1 ||
+ "$GIT_EXEC_PATH/git" init "--template=$GIT_EXEC_PATH/templates/blt/" >&3 2>&4 ||
error "cannot run git init -- have you built things yet?"
mv .git/hooks .git/hooks-disabled
cd "$owd"
--
1.5.6.1.184.g27776.dirty
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html